Subject: Re: [PATCH v2 net-next 8/9] net: mscc: ocelot: set up tag_8021q CPU ports independent of user port affinity

From: Colin Foster <[email-masked]>
Date: Fri, 19 Aug 2022 06:45:48 -0700

On Fri, Aug 19, 2022 at 01:39:00PM +0000, Vladimir Oltean wrote:
> On Fri, Aug 19, 2022 at 06:37:56AM -0700, Colin Foster wrote:
> > On Fri, Aug 19, 2022 at 11:06:23AM +0000, Vladimir Oltean wrote:
> > > On Thu, Aug 18, 2022 at 08:58:56PM -0700, Jakub Kicinski wrote:
> > > > ERROR: modpost: "ocelot_port_teardown_dsa_8021q_cpu" [drivers/net/dsa/ocelot/mscc_felix.ko] undefined!
> > > > ERROR: modpost: "ocelot_port_teardown_dsa_8021q_cpu" [drivers/net/dsa/ocelot/mscc_seville.ko] undefined!
> > > 
> > > Damn, I forgot EXPORT_SYMBOL_GPL()....
> > > Since I see you've marked the patches as changes requested already, I'll
> > > go ahead and resubmit.
> > 
> > Any reason not to use the _NS() variants?
> 
> What's _NS() and why would I use it?

include/linux/export.h.

I don't know when to use one over the other. I just know it was
requested in my MFD set for drivers/mfd/ocelot*. Partitioning of the
symtab, from what I best understand.